<?php

    add_action( 'wp_enqueue_scripts', 'wpdevart_electronics_store_electro_theme_css' );
    function wpdevart_electronics_store_electro_theme_css() {

        wp_enqueue_style( 
            'wpdevart_electronics_store_electro_css', 
            get_stylesheet_uri(),
            ( get_template_directory_uri() ) . 'style.css',
        ); 

        $childWpdevartElectronicsStoreElectroMain = 'wpdevart-child-electronics-store-electro-main-styles';
        wp_enqueue_style( $childWpdevartElectronicsStoreElectroMain,
        get_stylesheet_directory_uri() . '/assets/css/front-end/index.css',
        );

        $childWpdevartElectronicsStoreElectroWoo = 'wpdevart-child-electronics-store-electro-woo-style';
        wp_enqueue_style( $childWpdevartElectronicsStoreElectroWoo,
        get_stylesheet_directory_uri() . '/assets/css/front-end/wpdevart-woocommerce.css',
        );

    }

    ##################------ Removing Parent Theme Style Files ------##################

    function wpdevart_electronics_store_electro_remove_parent_theme_scripts() {
        wp_dequeue_style( 'wpdevart_ecommerce_modern_store_styles' );
        wp_deregister_style( 'wpdevart_ecommerce_modern_store_styles' );
        wp_dequeue_style( 'wpdevart_ecommerce_modern_store_woocommerce_styles' );
        wp_deregister_style( 'wpdevart_ecommerce_modern_store_woocommerce_styles' );
    }
    add_action( 'wp_enqueue_scripts', 'wpdevart_electronics_store_electro_remove_parent_theme_scripts', 11 );

    ##################------ INCLUDING DEFAULT OPTIONS ------##################

    require( get_theme_file_path() . '/inc/admin/wpdevart-electronics-store-electro-add-default-options.php' );
		
    ##################------ DEFAULT CUSTOMIZER ------##################
	
    add_filter( 'parent_wpdevart_ecommerce_modern_store_primary_button_bg_color', 'electronics_store_electro_wpdevart_customizer_default_main_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_primary_button_link_hover_color', 'electronics_store_electro_wpdevart_customizer_default_main_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_comments_reply_button_bg_color', 'electronics_store_electro_wpdevart_customizer_default_main_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_comments_reply_button_link_hover_color', 'electronics_store_electro_wpdevart_customizer_default_main_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_woo_primary_button_bg_color', 'electronics_store_electro_wpdevart_customizer_default_main_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_woo_primary_button_link_hover_color', 'electronics_store_electro_wpdevart_customizer_default_main_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_header_logo_text_color', 'electronics_store_electro_wpdevart_customizer_default_main_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_header_logo_gradient_color', 'electronics_store_electro_wpdevart_customizer_default_main_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_blog_settings_category_bg_color', 'electronics_store_electro_wpdevart_customizer_default_main_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_custom_homepage_woocommerce_button_bg_color', 'electronics_store_electro_wpdevart_customizer_default_main_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_woo_search_bar_categories_text_hover_color', 'electronics_store_electro_wpdevart_customizer_default_main_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_main_header_sub_menu_top_border_color', 'electronics_store_electro_wpdevart_customizer_default_main_color' );	
	add_filter( 'parent_wpdevart_ecommerce_modern_store_homepage_sections_description_color', 'electronics_store_electro_wpdevart_customizer_default_main_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_custom_homepage_achievements_second_text_color', 'electronics_store_electro_wpdevart_customizer_default_main_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_custom_homepage_advantages_second_icon_title_color', 'electronics_store_electro_wpdevart_customizer_default_main_color' );
    function electronics_store_electro_wpdevart_customizer_default_main_color(){
        return '#1287ff';
    }

	add_filter( 'parent_wpdevart_ecommerce_modern_store_top_header_text_color', 'electronics_store_electro_wpdevart_customizer_default_second_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_top_header_social_icons_color', 'electronics_store_electro_wpdevart_customizer_default_second_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_custom_homepage_latest_posts_title_color', 'electronics_store_electro_wpdevart_customizer_default_second_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_woo_search_bar_bg_color', 'electronics_store_electro_wpdevart_customizer_default_second_color' );
    function electronics_store_electro_wpdevart_customizer_default_second_color(){
        return '#000000';
    }
		
	add_filter( 'parent_wpdevart_ecommerce_modern_store_header_mobile_menu_background_color', 'electronics_store_electro_wpdevart_customizer_default_third_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_mobile_menu_bg_gradient_color', 'electronics_store_electro_wpdevart_customizer_default_third_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_blog_settings_category_bg_hover_color', 'electronics_store_electro_wpdevart_customizer_default_third_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_pagination_buttons_bg_hover_color', 'electronics_store_electro_wpdevart_customizer_default_third_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_woo_pagination_buttons_bg_hover_color', 'electronics_store_electro_wpdevart_customizer_default_third_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_call_action_bg_gradient_color', 'electronics_store_electro_wpdevart_customizer_default_third_color' );
    function electronics_store_electro_wpdevart_customizer_default_third_color(){
        return '#fcfdff';
    }

	add_filter( 'parent_wpdevart_ecommerce_modern_store_single_post_banner_gradient_color', 'electronics_store_electro_wpdevart_customizer_default_fourth_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_single_page_banner_gradient_color', 'electronics_store_electro_wpdevart_customizer_default_fourth_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_archive_banner_bg_gradient_color', 'electronics_store_electro_wpdevart_customizer_default_fourth_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_search_banner_bg_gradient_color', 'electronics_store_electro_wpdevart_customizer_default_fourth_color' );
    function electronics_store_electro_wpdevart_customizer_default_fourth_color(){
        return '#fcfcfc';
    }

	add_filter( 'parent_wpdevart_ecommerce_modern_store_top_header_bg_color', 'electronics_store_electro_wpdevart_customizer_default_seventh_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_top_header_bg_gradient_color', 'electronics_store_electro_wpdevart_customizer_default_seventh_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_top_header_social_icons_bg_color', 'electronics_store_electro_wpdevart_customizer_default_seventh_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_single_post_banner_bg_color', 'electronics_store_electro_wpdevart_customizer_default_seventh_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_single_page_banner_bg_color', 'electronics_store_electro_wpdevart_customizer_default_seventh_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_archive_banner_bg_color', 'electronics_store_electro_wpdevart_customizer_default_seventh_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_search_banner_bg_color', 'electronics_store_electro_wpdevart_customizer_default_seventh_color' );
    function electronics_store_electro_wpdevart_customizer_default_seventh_color(){
        return '#ffffff';
    }
	
    add_filter( 'parent_wpdevart_ecommerce_modern_store_single_post_banner_entry_link_color', 'electronics_store_electro_wpdevart_customizer_default_ninth_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_single_page_banner_entry_link_color', 'electronics_store_electro_wpdevart_customizer_default_ninth_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_blog_settings_title_hover_color', 'electronics_store_electro_wpdevart_customizer_default_ninth_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_blog_settings_metas_color', 'electronics_store_electro_wpdevart_customizer_default_ninth_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_header_mobile_menu_button_color', 'electronics_store_electro_wpdevart_customizer_default_ninth_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_header_search_button_color', 'electronics_store_electro_wpdevart_customizer_default_ninth_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_header_descktop_search_button_color', 'electronics_store_electro_wpdevart_customizer_default_ninth_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_woocommerce_account_icon_color', 'electronics_store_electro_wpdevart_customizer_default_ninth_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_woocommerce_cart_icon_color', 'electronics_store_electro_wpdevart_customizer_default_ninth_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_custom_homepage_banner_sliding_text_color', 'electronics_store_electro_wpdevart_customizer_default_ninth_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_call_action_sub_title_color', 'electronics_store_electro_wpdevart_customizer_default_ninth_color' );
    function electronics_store_electro_wpdevart_customizer_default_ninth_color(){
        return '#fa3c7a';
    }

	add_filter( 'parent_wpdevart_ecommerce_modern_store_preloader_loader_color', 'electronics_store_electro_wpdevart_customizer_default_tenth_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_back_to_top_bg_hover_color', 'electronics_store_electro_wpdevart_customizer_default_tenth_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_main_container_link_hover_color', 'electronics_store_electro_wpdevart_customizer_default_tenth_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_main_container_sidebar_link_hover_color', 'electronics_store_electro_wpdevart_customizer_default_tenth_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_comments_reply_box_link_hover_color', 'electronics_store_electro_wpdevart_customizer_default_tenth_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_custom_homepage_achievements_third_text_color', 'electronics_store_electro_wpdevart_customizer_default_tenth_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_custom_homepage_advantages_third_icon_title_color', 'electronics_store_electro_wpdevart_customizer_default_tenth_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_woo_breadcrumbs_hover_color', 'electronics_store_electro_wpdevart_customizer_default_tenth_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_woocommerce_link_hover_color', 'electronics_store_electro_wpdevart_customizer_default_tenth_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_header_cart_remove_color', 'electronics_store_electro_wpdevart_customizer_default_tenth_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_woocommerce_sidebar_link_hover_color', 'electronics_store_electro_wpdevart_customizer_default_tenth_color' );
    function electronics_store_electro_wpdevart_customizer_default_tenth_color(){
        return '#f93d7b';
    }
	
    add_filter( 'parent_wpdevart_ecommerce_modern_store_premium_features_url', 'electronics_store_electro_wpdevart_customizer_pro_link' );
    function electronics_store_electro_wpdevart_customizer_pro_link(){
        return 'https://wpdevart.com/wordpress-electronics-store-electro-theme';
    }
	add_filter( 'parent_wpdevart_child_demo_url', 'electronics_store_electro_wpdevart_child_demo_url' );
	function electronics_store_electro_wpdevart_child_demo_url(){
		return 'https://electronicsstore.wpdevart.com';
	}
	add_filter( 'parent_wpdevart_child_wp_support_url', 'electronics_store_electro_wpdevart_demo_url' );
	function electronics_store_electro_wpdevart_demo_url(){
		return 'https://wordpress.org/support/theme/electronics-store-electro';
	}
	add_filter( 'parent_wpdevart_child_wp_page_url', 'electronics_store_electro_wpdevart_wp_page_url' );
	function electronics_store_electro_wpdevart_wp_page_url(){
		return 'https://wordpress.org/themes/electronics-store-electro';
	}
	add_filter( 'parent_wpdevart_child_footer_url_title', 'electronics_store_electro_wpdevart_footer_url_title' );
	function electronics_store_electro_wpdevart_footer_url_title(){
		return __( 'WordPress Electronics Store: Electro Theme', 'electronics-store-electro' );
	}
	add_filter( 'parent_wpdevart_child_footer_url_text', 'electronics_store_electro_wpdevart_footer_url_text' );
	function electronics_store_electro_wpdevart_footer_url_text(){
		return __( 'WordPress Electronics Store Theme', 'electronics-store-electro' );
	}
	add_filter( 'parent_wpdevart_child_description_text', 'electronics_store_electro_wpdevart_description_text' );
	function electronics_store_electro_wpdevart_description_text(){
		return __( 'Electronics Store: Electro is a responsive eCommerce WordPress theme that comes with various great features. Electro is a powerful and fully customizable theme, which means you can customize and change almost every element of the theme. The theme has a built-in custom homepage that will help you quickly customize and enable the homepage of your site. You just need to enable this feature on the theme settings page. The custom homepage comes with several beautiful and well-designed sections. The free version of Electro includes Banner section, Call to Action section, and Latest Posts section while the premium version comes with even more sections such as a WooCommerce Products section, Sales section, Advantages section, and other sections. All these sections allow you to customize the main page of your site very easily and quickly. You just need to change the default texts and links and a beautiful homepage is ready.', 'electronics-store-electro' );
	}
		
    ##################------ CHILD FEATURES ------##################

    function wpdevart_electronics_store_electro_theme_features() {
        register_nav_menu('primary_menu', esc_html__( 'Primary Menu', 'electronics-store-electro'));
        load_theme_textdomain( 'electronics-store-electro', get_template_directory() . '/languages' ); 
        add_theme_support( 'custom-logo' );
        add_theme_support('title-tag');
        add_theme_support('post-thumbnails');
        add_theme_support('wp-block-styles');
        add_theme_support('widgets');
        add_theme_support('widgets-block-editor');
        add_theme_support( 'automatic-feed-links' );
        add_theme_support( "responsive-embeds" );
        add_theme_support( "align-wide" );
        add_editor_style( 'editor-style.css' );
        add_theme_support('woocommerce');
        add_theme_support( 'wc-product-gallery-zoom' );
        add_theme_support( 'wc-product-gallery-lightbox' );
        add_theme_support( 'wc-product-gallery-slider' );
    }

    add_action('after_setup_theme', 'wpdevart_electronics_store_electro_theme_features');
  
    ##################------ REGISTERING WIDGETS ------##################

    function wpdevart_electronics_store_electro_widgets_init() {
        $defaults = array(
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget'  => '</div>',
            'before_title'  => '<h3 class="widget-title">',
            'after_title'   => '</h3>',
        );
        register_sidebar( array_merge( $defaults, array(
            'id'          => 'wpdevart_ecommerce_modern_store_blog_sidebar',
            'name'        => esc_html__( 'Blog Sidebar', 'electronics-store-electro'),
            'description' => esc_html__( 'Default sidebar for blog/archive and post/page.', 'electronics-store-electro'),
        ) ) );	
        register_sidebar( array_merge( $defaults, array(
            'id'          => 'wpdevart_ecommerce_modern_store_footer_large_widget',
            'name'        => esc_html__( 'Footer Large Widget', 'electronics-store-electro'),
            'description' => esc_html__( 'Large footer widget.', 'electronics-store-electro'),
        ) ) );
        register_sidebar( array_merge( $defaults, array(
            'id'          => 'wpdevart_ecommerce_modern_store_footer_widget_01',
            'name'        => esc_html__( 'Footer Widget 1', 'electronics-store-electro'),
            'description' => esc_html__( 'A regular footer widget.', 'electronics-store-electro'),
        ) ) );
        register_sidebar( array_merge( $defaults, array(
            'id'          => 'wpdevart_ecommerce_modern_store_footer_widget_02',
            'name'        => esc_html__( 'Footer Widget 2', 'electronics-store-electro'),
            'description' => esc_html__( 'A regular footer widget.', 'electronics-store-electro'),
        ) ) );
        register_sidebar( array_merge( $defaults, array(
            'id'          => 'wpdevart_ecommerce_modern_store_footer_widget_03',
            'name'        => esc_html__( 'Footer Widget 3', 'electronics-store-electro'),
            'description' => esc_html__( 'A regular footer widget.', 'electronics-store-electro'),
        ) ) );
        register_sidebar( array_merge( $defaults, array(
            'id'          => 'wpdevart_ecommerce_modern_store_footer_widget_04',
            'name'        => esc_html__( 'Footer Widget 4', 'electronics-store-electro'),
            'description' => esc_html__( 'A regular footer widget.', 'electronics-store-electro'),
        ) ) );
        register_sidebar( array_merge( $defaults, array(
            'id'          => 'wpdevart_ecommerce_modern_store_woocommerce_sidebar',
            'name'        => esc_html__( 'WooCommerce Sidebar', 'electronics-store-electro'),
            'description' => esc_html__( 'Sidebar for WooCommerce store pages.', 'electronics-store-electro'),
        ) ) );        
    }
    add_action( 'widgets_init', 'wpdevart_electronics_store_electro_widgets_init' );